Image
Retrieves image information using the image ID.
imageUrl is provided by the CDN, and image options can be specified with the Query Parameters below.
CDN Query Parameter
w: Width in pixels. Ifhis given, it scales down with the same aspect ratio. If both are absent, the original size is used.h: Height in pixels. Ifwis given, it scales down with the same aspect ratio. If both are absent, the original size is used.f: Output format.jpeg,jpg,png,webp. If absent: original format.q: Compression quality. Default value:85
Image ID
All responses return 200 (including success and failure) (5xx is exposed only in error conditions)
GET /api/v1/images/{id} HTTP/1.1
Host: openapi.archisketch.com
Accept: */*
All responses return 200 (including success and failure) (5xx is exposed only in error conditions)
No content
Last updated
Was this helpful?

